function::user_string_warn
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_string_warn — Retrieves string from user space

## Synopsis

    1) user_string_warn:string(addr:long)

    2) user_string_warn:string(addr:long,warn_msg:string)

## Arguments

`addr`

  the user space address to retrieve the string from

`warn_msg`

  the warning message to return when data isn't available

## Description

1) Returns the null terminated C string from a given user space memory address. Reports "" on the rare cases when userspace data is not accessible and warns (but does not abort) about the failure.

2) Returns the null terminated C string from a given user space memory address. Reports the given warning message on the rare cases when userspace data is not accessible and warns (but does not abort) about the failure.

Prev | Up | Next
function::user_string_utf32 | Home | function::user_uint16